//比較ルールを決定する

var AppleKeyboards2 = new Array(
"DCSAssetPreferenceKeyDownloadedDictionaries",
"SiriMyShortcuts",
"ControlCenterModuleOrder",
"AppleKeyboards",
"AssistiveTouchCustomGestures",
"AppleLanguages"
//"TripleClickChoice"
);

var TripleClickChoice = new Array(
"TripleClickChoice"
);


var AppleKeyboards3 = new Array(
//"SBSearchResultsDomains",
//"VoiceOverTouchRotorItemsPreference"
);

var Included = new Array(
"SBParentalControlsCapabilities/string_=.+"
);

var MatchWithContainerPosition = new Array(
//メールなどで部分一致可能のもの

//"Payloads/Payload_[0-9]+/DisplayName",
//"Payloads/Payload_[0-9]+/Organization",
//"Payloads/Payload_[0-9]+/Identifier",
//
//"ProvisioningProfiles/Profile_[0-9]+/Name",
//"ProvisioningProfiles/Profile_[0-9]+/TeamName",
//"ProvProfile[0-9]+_UUID",
//"ProvProfile[0-9]+_CreationDate",
//"ProvProfile[0-9]+_ExpirationDate",

//"Mail/ReceiveAccounts/Account_[0-9]+/DisplayName",
//"Mail/ReceiveAccounts/Account_[0-9]+/Class",
//"Mail/ReceiveAccounts/Account_[0-9]+/FullUserName",
//"Mail/ReceiveAccounts/Account_[0-9]+/EmailAddresses",
//"Mail/ReceiveAccounts/Account_[0-9]+/Hostname",
//"Mail/ReceiveAccounts/Account_[0-9]+/Username",
//"Mail/ReceiveAccounts/Account_[0-9]+/SMTPIdentifier",
//"Mail/ReceiveAccounts/Account_[0-9]+/SMTPAlternateIdentifiers",
//"Mail/ReceiveAccounts/Account_[0-9]+/DraftsMailboxName",
//"Mail/ReceiveAccounts/Account_[0-9]+/SentMessagesMailboxName",
//"Mail/ReceiveAccounts/Account_[0-9]+/TrashMailboxName",
//"Mail/ReceiveAccounts/Account_[0-9]+/ServerPathPrefix",
//"Mail/ReceiveAccounts/Account_[0-9]+/DeletionPolicy",
////"Mail/ReceiveAccounts/Account_[0-9]+_PortNumber",
//"Mail/ReceiveAccounts/Account_[0-9]+/ASAccountEmailAddress",
//"Mail/ReceiveAccounts/Account_[0-9]+/ASAccountUsername",

"Mail/SendAccounts/Account_[0-9]+/Hostname",
"Mail/SendAccounts/Account_[0-9]+/Username"
//"SendAccounts_[0-9]+_PortNumber",

//"Applications/Application_[0-9]+/CFBundleDisplayName",
//"Applications/Application_[0-9]+/CFBundleVersion",
//"Applications/Application_[0-9]+/CFBundleShortVersionString",
//"Applications/Application_[0-9]+/CFBundleIdentifier"
);

var ContainerPosition = new Array(
//メールなど

//"ProvisioningProfiles/Profile_[0-9]+/.+",
//"Payloads/Payload_[0-9]+/.+",
//"Mail/ReceiveAccounts/Account_[0-9]+/.+",
"Mail/SendAccounts/Account_[0-9]+/.+",
//"Applications/Application_[0-9]+/.+",
"Safari/BookMarks/BookMark_[0-9]+/.+",

//項目ごとに比較する場合コメント解除
"SBSearchResultsDomains/Item_[0-9]+/.+",
"VoiceOverTouchRotorItemsPreference/Item_[0-9]+/.+"
);


var Match = new Array(
"AppleID",
"DeviceName",
"SerialNumber",
"CustomSignature",
"SignatureKey",
"DefaultSendingAccount",
"Mail/DeviceSpecificIdentifier"
);

var FirstChildFullMatch = new Array(
//"AppleLanguages"
);

//誤差有
var FullMatchMargin = new Array(
"VolumeRingtone",
"VoiceOverTouchSpeakingRate",
"QuickSpeakRate",
"QuickSpeakRate8",
"MasterStereoBalance",
//"AssistiveTouchScannerSpeechRatePreference",
"SBBacklightLevel2",
"CBBlueLightReductionCCTTargetRaw"
//"VoiceOverTouchLanguageSpeakingRate"
);

var FullMatchDate = new Array(
"DeviceDate"
);

var FullPreferencePosition = new Array(
"kPreferencePositionKey"
);

//配列が空であるか
var FullEmpty = new Array(
"SBRecentDisplays"
);

//数値比較
var FullMatchNumber = new Array(
"BatteryCapacity"
);

//マスタの値に関わらずdefaultと比較
var FullMatchDefault = new Array(
"Safari/HasHistory"
);

var MatchStruct = new Array(

["Payloads/Payload_[0-9]+/DisplayName", "DisplayName"],
["Payloads/Payload_[0-9]+/Organization",  "DisplayName"],
["Payloads/Payload_[0-9]+/Identifier",  "DisplayName"],
["ProvisioningProfiles/Profile_[0-9]+/Name","Name"],
["ProvisioningProfiles/Profile_[0-9]+/TeamName","Name"],
["ProvisioningProfiles/Profile_[0-9]+/UUID","Name"],
["ProvisioningProfiles/Profile_[0-9]+/Version","Name"],
["ProvisioningProfiles/Profile_[0-9]+/CreationDate","Name"],
["ProvisioningProfiles/Profile_[0-9]+/ExpirationDate","Name"],
["LocationServices/Service_.+", "Identifier"],
//["LocationServices8/Service_.+", "Identifier"],
["VoiceOverTouchLanguageRotor/Item_.+", "RotorItem"],
["Applications/Application_[0-9]+/CFBundleDisplayName", "CFBundleIdentifier"],
["Applications/Application_[0-9]+/CFBundleVersion", "CFBundleIdentifier"],
["Applications/Application_[0-9]+/CFBundleShortVersionString", "CFBundleIdentifier"],
["Applications/Application_[0-9]+/CFBundleIdentifier", "CFBundleIdentifier"],
["Applications/Application_[0-9]+/Folder", "CFBundleIdentifier"],
["Applications/Application_[0-9]+/Title", "Title"],
["Applications/Application_[0-9]+/URL", "Title"],
//["VoiceOverTouchRotorItemsPreference/Item_.+", "RotorItem"]

["VoiceOverTouchLanguageSpeakingRate/Item_.+", "RotorItem"],
["AXSVoiceOverCompactVoicePreference/Item_.+", "RotorItem"],
["QuickSpeakPrefersCompactForLanguage/Item_.+", "Name"],
["QuickSpeakLanguageSpeakingRate/Item_.+", "Name"],
["AssistiveTouchScannerPrefersCompactForLanguagePreference/Item_.+", "Name"]


);
var IgnoreOrder = new Array(
"Payloads",
"ProvisioningProfiles",
"Applications"
);

//MatchStructで常にIgnoreOrderのもの
var MatchKeyStruct = new Array(
["LocationServices8/Service_[0-9]+/Authorization", "Identifier"],
["LocationServices8/Service_[0-9]+/CorrectiveCompensationEnabled", "Identifier"],
["LocationServices8/Service_[0-9]+/AuthorizationIncidental", "Identifier"],

["SBSearchResults/Item_[0-9]+/Enabled", "Identifier"],
["SBSearchResults/Item_[0-9]+/Lockscreen", "Identifier"],
["SBSearchResults/Item_[0-9]+/Learn", "Identifier"],
["SBSearchResults/Item_[0-9]+/Shortcut", "Identifier"],
["SBSearchResults/Item_[0-9]+/App", "Identifier"],
["SBSearchResults/Item_[0-9]+/Suggestion", "Identifier"],
["SBSearchResults/Item_[0-9]+/SuggestApp", "Identifier"],
["KeepAppsUpToDateAppList/Item_[0-9]+/Value",  "App"],

["Mail/ReceiveAccounts/Account_[0-9]+/.+", "Key"],
["Notifications/Item_[0-9]+/.+", "Identifier"],

["ArrivalFacetime/Item_[0-9]+/Checked", "Name"],
["ArrivalSms/Item_[0-9]+/Checked", "Name"],
["NotesAccounts/Account_[0-9]+/Enabled", "Type"],

["Networks/Network_[0-9]+/Addresses", "SSID"],
["Networks/Network_[0-9]+/SaveDataMode", "SSID"],
["Networks/Network_[0-9]+/Router", "SSID"],
["Networks/Network_[0-9]+/SubnetMasks", "SSID"],
["Networks/Network_[0-9]+/SearchDomains", "SSID"],
["Networks/Network_[0-9]+/ServerAddresses", "SSID"],
["Networks/Network_[0-9]+/DHCPClientID", "SSID"],
["Networks/Network_[0-9]+/ProxyAutoConfigURLString", "SSID"],
["Networks/Network_[0-9]+/ProxyHTTPProxy", "SSID"],
["Networks/Network_[0-9]+/HTTPProxyUsername", "SSID"],
["Networks/Network_[0-9]+/SSID", "SSID"],
["Networks/Network_[0-9]+/ConfigMethod", "SSID"],
["Networks/Network_[0-9]+/ProxyMode", "SSID"],
["Networks/Network_[0-9]+/ProxyHTTPPort", "SSID"],
["Networks/Network_[0-9]+/HTTPProxyAuthenticated", "SSID"],
["Networks/Network_[0-9]+/PrivateMacAddressValid", "SSID"],
["Networks/Network_[0-9]+/PrivateMacAddress", "SSID"]
);

var FullMatchPasscode = new Array(
"passcodeKeyboardComplexity"
);

var ExcludeChild = new Array(
"Listofknownnetworks"
);

var FullStruct = new Array(
"restrictWeb"
// "BrailleStatus"
);

var BrailleStatus = new Array(
"BrailleStatus"
);

var TimeZone = new Array(
"timezone"
);

var LocaleFormat = new Array(
"AppleLocaleFormat"
);

var LocaleCalendar = new Array(
"AppleLocaleCalendar"
);

var LocaleAuto = new Array(
"AppleLocaleAuto"
);

var LocaleDetail = new Array(
"AppleLocaleDetail"
);

//完全一致の時のルール名を返す
function GetRule(id){
	for (var i = 0; i < AppleKeyboards2.length; i++){
		if(id == AppleKeyboards2[i]){
			return "AppleKeyboards2";
		}
	}
	
	for (var i = 0; i < AppleKeyboards3.length; i++){
		if(id == AppleKeyboards3[i]){
			return "AppleKeyboards3";
		}
	}
	
	for (var i = 0; i < TripleClickChoice.length; i++){
		if(id == TripleClickChoice[i]){
			return "TripleClickChoice";
		}
	}
	
	
	for (var i = 0; i < FirstChildFullMatch.length; i++){
		if(id == FirstChildFullMatch[i]){
			return "FirstChildFullMatch";
		}
	}
	
	for (var i = 0; i < FullMatchMargin.length; i++){
		if(id == FullMatchMargin[i]){
			return "FullMatchMargin";
		}
	}
	
	for (var i = 0; i < FullMatchDate.length; i++){
		if(id == FullMatchDate[i]){
			return "FullMatchDate";
		}
	}
	
	for (var i = 0; i < FullMatchNumber.length; i++){
		if(id == FullMatchNumber[i]){
			return "FullMatchNumber";
		}
	}
	
	for (var i = 0; i < FullPreferencePosition.length; i++){
		if(id == FullPreferencePosition[i]){
			return "FullPreferencePosition";
		}
	}
	
	for (var i = 0; i < FullEmpty.length; i++){
		if(id == FullEmpty[i]){
			return "FullEmpty";
		}
	}
	
	for (var i = 0; i < FullMatchDefault.length; i++){
		if(id == FullMatchDefault[i]){
			return "FullMatchDefault";
		}
	}
	
	for (var i = 0; i < FullMatchPasscode.length; i++){
		if(id == FullMatchPasscode[i]){
			return "FullMatchPasscode";
		}
	}
	
	for (var i = 0; i < MatchStruct.length; i++){
		regx = new RegExp(MatchStruct[i][0]);
		if(id.match(regx)){
			return "FullMatchStruct";
		}
	}
	for (var i = 0; i < IgnoreOrder.length; i++){
		if(id == IgnoreOrder[i]){
			return "IgnoreOrder";
		}
	}
	
	for (var i = 0; i < MatchKeyStruct.length; i++){
		regx = new RegExp(MatchKeyStruct[i][0]);
		if(id.match(regx)){
			return "FullMatchKeyStruct";
		}
	}
	
	for (var i = 0; i < Included.length; i++){
		regx = new RegExp(Included[i]);
		if(id.match(regx)){
			return "Included";
		}
	}
	/*
	for (var i = 0; i < MatchWithContainerPosition.length; i++){
		regx = new RegExp(MatchWithContainerPosition[i]);
		if(id.match(regx)){
			return "FullMatchWithContainerPosition";
		}
	}
	*/
	for (var i = 0; i < ContainerPosition.length; i++){
		regx = new RegExp(ContainerPosition[i]);
		if(id.match(regx)){
			return "FullMatchWithContainerPosition";
		}
	}
	
	for (var i = 0; i < FullStruct.length; i++){
		if(id == FullStruct[i]){
			return "FullStruct";
		}
	}
	
	for (var i = 0; i < BrailleStatus.length; i++){
		if(id == BrailleStatus[i]){
			return "BrailleStatus";
		}
	}
	
	for (var i = 0; i < TimeZone.length; i++){
		if(id == TimeZone[i]){
			return "TimeZone";
		}
	}
	
	for (var i = 0; i < LocaleFormat.length; i++){
		if(id == LocaleFormat[i]){
			return "LocaleFormat";
		}
	}
	
	for (var i = 0; i < LocaleCalendar.length; i++){
		if(id == LocaleCalendar[i]){
			return "LocaleCalendar";
		}
	}
	
		for (var i = 0; i < LocaleAuto.length; i++){
		if(id == LocaleAuto[i]){
			return "LocaleAuto";
		}
	}
	
		for (var i = 0; i < LocaleDetail.length; i++){
		if(id == LocaleDetail[i]){
			return "LocaleDetail";
		}
	}
	return "FullMatch";

}

//完全一致の時のルール名を返す
function GetTdFull(name){

	var tdElement = document.createElement("td");	
	var rule = GetRule(name);
	if(rule ==  "FullMatchWithSibling"){

			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			inputtextNode.setAttribute("value", "sibling");
			inputtextNode.setAttribute("name", name + "_option");
			tdElement.appendChild(inputtextNode);
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			var i;
			for (i = 0; i < FullMatchWithSibling.length; i++){
				regx = new RegExp(FullMatchWithSibling[i][0]);
				if(name.match(regx)){
					break
				}
			}
			inputtextNode.setAttribute("value", FullMatchWithSibling[i][1]);
			inputtextNode.setAttribute("name", name + "_sibling");
			tdElement.appendChild(inputtextNode);
	}
	
	var inputDupe = document.createElement("input");
	inputDupe.setAttribute("type", "checkbox");
	inputDupe.setAttribute("name", name + "_full");	
	inputDupe.setAttribute("value", rule);
	
	//inputDupe.checked = true;
	
	tdElement.appendChild(inputDupe);
	tdElement.className = "t_line06 full";

	return tdElement;
}

//一致のルール名を設定する
function SetInputFull(trElement, name){
	var rule = GetRule(name);
	var front = "FrontMatch";
	var rear = "RearMatch";
	var full = "FullMatch";
		
	for (var i = 0; i < MatchWithContainerPosition.length; i++){
		regx = new RegExp(MatchWithContainerPosition[i]);
		if(name.match(regx)){
			front = "FrontMatchWithContainerPosition";
			rear = "RearMatchWithContainerPosition";
		}
	}
	
	for (var i = 0; i < MatchStruct.length; i++){
		regx = new RegExp(MatchStruct[i][0]);
		if(name.match(regx)){
			front = "FrontMatchStruct";
			rear = "RearMatchStruct";
		}
	}
	
	for (var i = 0; i < MatchKeyStruct.length; i++){
		regx = new RegExp(MatchKeyStruct[i][0]);
		if(name.match(regx)){
			front = "FrontMatchKeyStruct";
			rear = "RearMatchKeyStruct";
		}
	}
	
	for (var i = 0; i < ExcludeChild.length; i++){
		regx = new RegExp(ExcludeChild[i]);
		if(name.match(regx)){
			front = "ExcludeChildStarts";
			rear = "ExcludeChildEnds";
			full = "ExcludeChildComp";
		}
	}
	
	//ルールをvalueに指定
	var inputs = trElement.getElementsByTagName("input");
	for(var i=0; i<inputs.length; i++){
		var input = inputs[i];
		if(input.getAttribute("type") == "checkbox"){
			if(input.name.slice(-5) == '_full'){
				input.setAttribute("value", rule);
				//input.checked = true;
				break;
			}
		}
	}
	var selects = trElement.getElementsByTagName("select");
	for(var i=0; i<selects.length; i++){
		var select = selects[i];
		if(select.name.slice(-6) == '_match'){
		    var options = select.getElementsByTagName("option");
			for(var j=0; j<options.length; j++){
				var val = options[j].getAttribute("value");
				if(val == "Front")
					options[j].setAttribute("value", front);
				else if(val == "Rear")
					options[j].setAttribute("value", rear);
				else if(val == "Full")
					options[j].setAttribute("value", full);
			}
		/*
		
			var optionNode1 = document.createElement("option");	
			optionNode1.setAttribute("value", front);
			var textNode = document.createTextNode("前方一致");
			optionNode1.appendChild(textNode);
			select.appendChild(optionNode1);
			
			var optionNode2 = document.createElement("option");
			optionNode2.setAttribute("value", rear);
			var textNode = document.createTextNode("後方一致");
			optionNode2.appendChild(textNode);
			select.appendChild(optionNode2);*/
		}
	}
	/////
	if(rule == "FullMatchMargin" || rule == "FullMatchDate" || rule == 'FullMatchNumber' || rule == 'AppleKeyboards2'){
		var tds = trElement.getElementsByTagName("td");
		for(var h=0; h<tds.length; h++){
			var inputs = tds[h].getElementsByTagName("input");
			for(var i=0; i<inputs.length; i++){
				var input = inputs[i];
				if(input.getAttribute("type") == "checkbox"){
					if(input.name.slice(-5) == '_full'){
						//input.setAttribute("onclick", "Element.toggle(\"" + name + "_div_margin\")");
						var divname = name + '_div_margin';
						var attr = input.getAttribute("onclick");
						input.setAttribute("onclick", "toggleElement('" + input.name + "', '" + divname + "');" + attr);
					
						var divNode1 = document.getElementById(divname);
						if(divNode1 != null){
							if(input.checked == false)
							divNode1.style.display = "none";
							else
							divNode1.style.display = "";
						}
				
						break;
					}
				}
			}
		}
		var inputtextNode = document.createElement("input");
		inputtextNode.setAttribute("type", "hidden");
		inputtextNode.setAttribute("value", "margin");
		inputtextNode.setAttribute("name", name + "_option");
		trElement.appendChild(inputtextNode);
	}
	else if(rule == "FullMatchWithSibling"){
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			inputtextNode.setAttribute("value", "sibling");
			inputtextNode.setAttribute("name", name + "_option");
			trElement.appendChild(inputtextNode);
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			var i;
			for (i = 0; i < FullMatchWithSibling.length; i++){
				regx = new RegExp(FullMatchWithSibling[i][0]);
				if(name.match(regx)){
					break
				}
			}
			inputtextNode.setAttribute("value", FullMatchWithSibling[i][1]);
			inputtextNode.setAttribute("name", name + "_sibling");
			trElement.appendChild(inputtextNode);
	}else if(rule ==  "FullMatchStruct" ){
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			inputtextNode.setAttribute("value", "sibling");
			inputtextNode.setAttribute("name", name + "_option");
			trElement.appendChild(inputtextNode);
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			var i;
			for (i = 0; i < MatchStruct.length; i++){
				regx = new RegExp(MatchStruct[i][0]);
				if(name.match(regx)){
					break
				}
			}
			inputtextNode.setAttribute("value", MatchStruct[i][1]);
			inputtextNode.setAttribute("name", name + "_sibling");
			trElement.appendChild(inputtextNode);
	}else if(rule ==  "FullMatchKeyStruct" ){
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			inputtextNode.setAttribute("value", "sibling");
			inputtextNode.setAttribute("name", name + "_option");
			trElement.appendChild(inputtextNode);
			var inputtextNode = document.createElement("input");
			inputtextNode.setAttribute("type", "hidden");
			var i;
			for (i = 0; i < MatchKeyStruct.length; i++){
				regx = new RegExp(MatchKeyStruct[i][0]);
				if(name.match(regx)){
					break
				}
			}
			inputtextNode.setAttribute("value", MatchKeyStruct[i][1]);
			inputtextNode.setAttribute("name", name + "_sibling");
			trElement.appendChild(inputtextNode);
	}
	return trElement;
}

//部分一致の時のルール名を返す
//先頭にFrontを付けること
function GetTdPart(name){
	var front = "FrontMatch";
	var rear = "RearMatch";
	
	var tdElement = document.createElement("td");		
	for (var i = 0; i < MatchWithContainerPosition.length; i++){
		regx = new RegExp(MatchWithContainerPosition[i]);
		if(name.match(regx)){
			front = "FrontMatchWithContainerPosition";
			rear = "RearMatchWithContainerPosition";
		}
	}
	
		var selectNode = document.createElement("select");
		selectNode.setAttribute("name", name + "_match");
		
		var optionNode1 = document.createElement("option");	
		optionNode1.setAttribute("value", front);
		var textNode = document.createTextNode("前方一致");
		optionNode1.appendChild(textNode);
		selectNode.appendChild(optionNode1);
		
		var optionNode2 = document.createElement("option");
		optionNode2.setAttribute("value", rear);
		var textNode = document.createTextNode("後方一致");
		optionNode2.appendChild(textNode);
		selectNode.appendChild(optionNode2);
	
		tdElement.appendChild(selectNode);
		tdElement.className = "t_line06 part";
		return tdElement;
}