<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppApplePencil">
	<xsl:if test="/RESULT/DeviceClass = 'iPad'">
      <xsl:call-template name="settingtable">  
	    <xsl:with-param name="id" select="'UIPencilOnlyDrawWithPencilKey'" />
		<xsl:with-param name="title1" select="'Apple Pencil'" />
		<xsl:with-param name="title2" select="'Apple Pencilのみで描写'" />
		<xsl:with-param name="valueNode" select="/RESULT/UIPencilOnlyDrawWithPencilKey" />
		<xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>    
	
      <xsl:call-template name="settingtable">
	    <xsl:with-param name="id" select="'ApplePencilTextInputEnabled'" />
		<xsl:with-param name="title2" select="'スクリブル'" />
		<xsl:with-param name="valueNode" select="/RESULT/ApplePencilTextInputEnabled" />
		<xsl:with-param name="template" select="'defaultOn'"/>
      </xsl:call-template>
	</xsl:if>
    
  </xsl:template>

</xsl:stylesheet>