<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppCamera">
  
    <!-- <xsl:if test="/RESULT/DeviceClass = 'iPhone'"> -->
	  <!-- <xsl:call-template name="settingtable"> -->
        <!-- <xsl:with-param name="title1" select="'カメラ'" /> -->
		<!-- <xsl:with-param name="id" select="'CAMUserPreferencePreserveCaptureMode'" /> -->
		<!-- <xsl:with-param name="title2" select="'設定を保持'" /> -->
        <!-- <xsl:with-param name="title3" select="'カメラモード'" /> -->
        <!-- <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferencePreserveCaptureMode" /> -->
        <!-- <xsl:with-param name="template" select="'defaultOff'"/> -->
	  <!-- </xsl:call-template> -->
	
	  <!-- <xsl:call-template name="settingtable"> -->
        <!-- <xsl:with-param name="id" select="'CAMUserPreferencePreserveLivePhoto'" /> -->
        <!-- <xsl:with-param name="title3" select="'Live Photos'" /> -->
        <!-- <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferencePreserveLivePhoto" /> -->
        <!-- <xsl:with-param name="template" select="'defaultOn'"/> -->
	  <!-- </xsl:call-template> -->
	<!-- </xsl:if> -->
	
    <!-- <xsl:if test="/RESULT/DeviceClass = 'iPad'"> -->
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceCaptureEncodingBehavior'" />
		<xsl:with-param name="title1" select="'カメラ'" />
		<xsl:with-param name="title2" select="'フォーマット'" />
		<xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceCaptureEncodingBehavior" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CAMUserPreferenceCaptureEncodingBehavior = '1'">
					<xsl:text>互換性優先</xsl:text>
				</xsl:when>
			<xsl:when test="/RESULT/CAMUserPreferenceCaptureEncodingBehavior = '0'">
				<xsl:text>高効率</xsl:text>
			</xsl:when>
			<xsl:when test="/RESULT/CAMUserPreferenceCaptureEncodingBehavior = ''">
				<xsl:text>高効率</xsl:text>
			</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CAMUserPreferenceCaptureEncodingBehavior/@master = '1'">
					<xsl:text>互換性優先</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceCaptureEncodingBehavior/@master = '0'">
					<xsl:text>高効率</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceCaptureEncodingBehavior/@master = ''">
				<xsl:text>高効率</xsl:text>
			</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	  </xsl:call-template>
	<!-- </xsl:if> -->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceVideoConfiguration'" />
		<xsl:with-param name="title2" select="'ビデオ撮影'" />
		<xsl:with-param name="title3" select="'解像度'" />
		<xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceVideoConfiguration" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration = '0'">
					<xsl:text>デフォルト(1080p/30fps)</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration = ''">
					<xsl:text>デフォルト(1080p/30fps)</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration != '0'">
					<xsl:text>デフォルト以外</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration != ''">
					<xsl:text>デフォルト以外</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration/@master = '0'">
					<xsl:text>デフォルト(1080p/30fps)</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration/@master = ''">
					<xsl:text>デフォルト(1080p/30fps)</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration/@master != '0'">
					<xsl:text>デフォルト以外</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/CAMUserPreferenceVideoConfiguration/@master != ''">
					<xsl:text>デフォルト以外</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceEnablePALVideoFormats'" />
        <xsl:with-param name="title3" select="'PALフォーマットを表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceEnablePALVideoFormats" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceEnableVideoConfigurationControl'" />
        <xsl:with-param name="title3" select="'ビデオフォーマットコントロール'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceEnableVideoConfigurationControl" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<!-- <xsl:if test="/RESULT/DeviceClass = 'iPad'"> -->
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferencePreserveCaptureMode'" />
		<xsl:with-param name="title2" select="'設定を保持'" />
        <xsl:with-param name="title3" select="'カメラモード'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferencePreserveCaptureMode" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	  </xsl:call-template>
	
	  <xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferencePreserveLivePhoto'" />
        <xsl:with-param name="title3" select="'Live Photos'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferencePreserveLivePhoto" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	  </xsl:call-template>
	<!-- </xsl:if> -->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceShowQRCodeBanners'" />
        <xsl:with-param name="title2" select="'QRコードをスキャン'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceShowQRCodeBanners" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceShowGridOverlay'" />
        <xsl:with-param name="title2" select="'グリッド'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceShowGridOverlay" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceMirrorFrontCameraCaptures'" />
        <xsl:with-param name="title2" select="'前面写真を左右反転'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceMirrorFrontCameraCaptures" />
        <xsl:with-param name="template" select="'defaultOff'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'CAMUserPreferenceHDREV0'" />
        <xsl:with-param name="title2" select="'通常の写真を残す'" />
        <xsl:with-param name="valueNode" select="/RESULT/CAMUserPreferenceHDREV0" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
    
  </xsl:template>

</xsl:stylesheet>