<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppReminder">
    
		<xsl:call-template name="settingtable">
      <xsl:with-param name="id" select="'ReminderDefaultList'" />
	  <xsl:with-param name="title1" select="'リマインダー'" />
	  <xsl:with-param name="title2" select="'デフォルトリスト'" />
      <xsl:with-param name="valueNode" select="/RESULT/ReminderDefaultList" />
      <xsl:with-param name="value">
		<xsl:choose>
			<xsl:when test="/RESULT/ReminderDefaultList = 'Reminders'">
				<xsl:text>リマインダー</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="/RESULT/ReminderDefaultList/text()"/>
			</xsl:otherwise>
		</xsl:choose>
      </xsl:with-param>
	  <xsl:with-param name="mastervalue">
		<xsl:choose>
			<xsl:when test="/RESULT/ReminderDefaultList/@master = 'Reminders'">
				<xsl:text>リマインダー</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="/RESULT/ReminderDefaultList/@master"/>
			</xsl:otherwise>
		  </xsl:choose>
		</xsl:with-param>
    </xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'EnableTodayNotification'" />
		<xsl:with-param name="title2" select="'終日リマインダー'" />
		<xsl:with-param name="title3" select="'今日の通知'" />
        <xsl:with-param name="valueNode" select="/RESULT/EnableTodayNotification" />
        <xsl:with-param name="template" select="'defaultOff'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	  
	<!-- <xsl:if test = "/RESULT/EnableTodayNotification = 'false'"> -->
	<!-- <xsl:with-param name="id" select="'EnableTodayNotification'" /> -->
		<!-- <xsl:with-param name="title3" select="'時刻'" /> -->
        <!-- <xsl:with-param name="valueNode" select="/RESULT/todayNotificationFireTime" /> -->
        <!-- <xsl:with-param name="value"> -->
			<!-- <xsl:choose> -->
				<!-- <xsl:when test="/RESULT/todayNotificationFireTime = ''"> -->
					<!-- <xsl:text>9:00</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/RESULT/todayNotificationFireTime = '900'"> -->
					<!-- <xsl:text>9:00</xsl:text> -->
				<!-- </xsl:when> -->
			<!-- </xsl:choose> -->
		<!-- </xsl:with-param> -->
		<!-- <xsl:with-param name="mastervalue"> -->
			<!-- <xsl:choose> -->
				<!-- <xsl:when test="/RESULT/todayNotificationFireTime/@master = ''"> -->
					<!-- <xsl:text>9:00</xsl:text> -->
				<!-- </xsl:when> -->
				<!-- <xsl:when test="/RESULT/todayNotificationFireTime/@master = '900'"> -->
					<!-- <xsl:text>9:00</xsl:text> -->
				<!-- </xsl:when> -->
			<!-- </xsl:choose> -->
		<!-- </xsl:with-param> -->
	<!-- </xsl:call-template> -->
    <!-- </xsl:if> -->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'showRemindersAsOverdue'" />
        <xsl:with-param name="title2" select="'期限超過として表示'" />
        <xsl:with-param name="valueNode" select="/RESULT/showRemindersAsOverdue" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'enableAssignmentNotifications'" />
        <xsl:with-param name="title2" select="'通知を停止'" />
        <xsl:with-param name="valueNode" select="/RESULT/enableAssignmentNotifications" />
        <xsl:with-param name="template" select="'defaultOn'"/>
		<xsl:with-param name="param1" select="'オフ'"/>
        <xsl:with-param name="param2" select="'オン'"/>
	</xsl:call-template>
	
  </xsl:template>

</xsl:stylesheet>