<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppStocks">
    
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.stocks'" />
        <xsl:with-param name="title1" select="'株価'" />
		<xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/RESULT/com.apple.stocks" />
        <xsl:with-param name="template" select="'defaultOn'"/>
    </xsl:call-template>
	
	
	<!--xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'StockCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/RESULT/StockCellularBehavior" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/StockCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/StockCellularBehavior = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/StockCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>オン</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/StockCellularBehavior/@master = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/StockCellularBehavior/@master = '0'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/StockCellularBehavior/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>オン</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template-->


	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'StocksIdentificationResetOnNextLaunch'" />
		<xsl:with-param name="title2" select="'識別子をリセット'" />
        <xsl:with-param name="valueNode" select="/RESULT/StocksIdentificationResetOnNextLaunch" />
        <xsl:with-param name="template" select="'defaultOff'"/>
    </xsl:call-template>
    
  </xsl:template>

</xsl:stylesheet>