<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppVoiceMemo">
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'com.apple.VoiceMemos'" />
        <xsl:with-param name="title1" select="'ボイスメモ'" />
		<xsl:with-param name="title2" select="'Appのバックグラウンド更新'" />
        <xsl:with-param name="valueNode" select="/Root/com.apple.VoiceMemos" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
	
	<!--<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'VoiceMemoCellularBehavior'" />
		<xsl:with-param name="title2" select="'モバイルデータ通信'" />
		<xsl:with-param name="valueNode" select="/Root/VoiceMemoCellularBehavior" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/VoiceMemoCellularBehavior = '1'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/VoiceMemoCellularBehavior = '2'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/VoiceMemoCellularBehavior = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>-->
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RCVoiceMemosRecentlyDeletedWindowKey'" />
		<xsl:with-param name="title2" select="'削除したものを消去'" />
		<xsl:with-param name="valueNode" select="/Root/RCVoiceMemosRecentlyDeletedWindowKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '0'">
					<xsl:text>すぐに</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '1'">
					<xsl:text>1日後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '7'">
					<xsl:text>7日後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '-1'">
					<xsl:text>しない</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = '30'">
					<xsl:text>30日後</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosRecentlyDeletedWindowKey = ''">
					<xsl:text>30日後</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RCVoiceMemosAudioQualityKey'" />
		<xsl:with-param name="title2" select="'オーディオの品質'" />
		<xsl:with-param name="valueNode" select="/Root/RCVoiceMemosAudioQualityKey" />
        <xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/Root/RCVoiceMemosAudioQualityKey = '0'">
					<xsl:text>非可逆圧縮</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosAudioQualityKey = '1'">
					<xsl:text>ロスレス圧縮</xsl:text>
				</xsl:when>
				<xsl:when test="/Root/RCVoiceMemosAudioQualityKey = ''">
					<xsl:text>非可逆圧縮</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="settingtable">
        <xsl:with-param name="id" select="'RCVoiceMemosUseLocationBasedNaming'" />
		<xsl:with-param name="title2" select="'位置情報を録音名に使用'" />
        <xsl:with-param name="valueNode" select="/Root/RCVoiceMemosUseLocationBasedNaming" />
        <xsl:with-param name="template" select="'defaultOn'"/>
	</xsl:call-template>
    
  </xsl:template>

</xsl:stylesheet>