<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppGamecenter">
    <xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'com.apple.account.GameCenter.exists'" />
		<xsl:with-param name="title1" select="'Game Center'" />
		<xsl:with-param name="valueNode" select="/RESULT/com.apple.account.GameCenter.exists" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/com.apple.account.GameCenter.exists = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/com.apple.account.GameCenter.exists = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/com.apple.account.GameCenter.exists = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/com.apple.account.GameCenter.exists/@master = '1'">
					<xsl:text>オン</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/com.apple.account.GameCenter.exists/@master = '2'">
					<xsl:text>オフ</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/com.apple.account.GameCenter.exists/@master = ''">
					<xsl:text>オン</xsl:text>
				</xsl:when>
			</xsl:choose>
		</xsl:with-param>

    </xsl:call-template>
    
  </xsl:template>

</xsl:stylesheet>