<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt"
exclude-result-prefixes="msxsl">

  <xsl:template name="SectionAppMeasure">
    
	  <xsl:call-template name="settingtable">
		<xsl:with-param name="id" select="'kMeasureUnitsV1'" />
		<xsl:with-param name="title1" select="'計測'" />
		<xsl:with-param name="title2" select="'計測単位'" />
		<xsl:with-param name="valueNode" select="/RESULT/kMeasureUnitsV1" />
		<xsl:with-param name="value">
			<xsl:choose>
				<xsl:when test="/RESULT/kMeasureUnitsV1 = '1'">
					<xsl:text>メートル法</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kMeasureUnitsV1 = '0'">
					<xsl:text>ヤードポンド法</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kMeasureUnitsV1 = ''">
					<xsl:text>メートル法</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>メートル法</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>

		<xsl:with-param name="mastervalue">
			<xsl:choose>
				<xsl:when test="/RESULT/kMeasureUnitsV1/@master = '1'">
					<xsl:text>メートル法</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kMeasureUnitsV1/@master = '0'">
					<xsl:text>ヤードポンド法</xsl:text>
				</xsl:when>
				<xsl:when test="/RESULT/kMeasureUnitsV1/@master = ''">
					<xsl:text>メートル法</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>メートル法</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:with-param>
	  </xsl:call-template>
    
  </xsl:template>

</xsl:stylesheet>